C	THIS PROGRAM GENERATES DATA TO BE
C	SORTED BY SUBROUTINE SORT.
C	IT THEN CALLS SUBROUTINE SORT
C	AND PRINTS THE SORTED DATA.
	PROGRAM SORT2
C
C	The following programs are used in the RT-11 User and RT-11
C	Programmer self paced instruction courses for RT-11 V4.They are also
C	similar to programs used in the Programming with RT-11 series for
C	RT-11 V5.0 or later. The name of the files are as specified in the
C	self paced course.
C
C	The code is supplied as a service as Digital does not supply these
C	on diskette.
C	Any copyright is the property of Digital Equipment Corporartion
C
	DIMENSION A1(10),B1(10)
	DATA J/0/,K/0/
C	TEST DATA--10 POINTS
	N=10
C	DATA CONSISTS OF TEN NUMBERS GENERATED
C	BY THE FORTRAN LIBRARY FUNCTION,RAN
	DO 10 I=1,N
		A1(I)=RAN(J,K)*100.
10	CONTINUE
C	PRINT UNSORTED DATA
	WRITE(5,200)A1
	CALL SORT(A1,N,B1)
C	PRINT SORTED DATA
	WRITE(5,200)B1
200	FORMAT(10(1X,F5.2,1X))
	END
